Skip to main content
Weavr Multi Product API
Corporates

Create a corporate

POST/corporates

Create a corporate identity for a business customer. The information provided must be accurate and will be passed on for KYB verification with our partner.

Request

Header parameters

Request body

*
application/json
{}
objectobject · 11 fields

Responses

200OK

Success

Headers
Body
application/json
{}
CreatedCorporateCreatedCorporate · object · 14 fields
Response example
{  "id": {    "type": "CONSUMER",    "id": "string"  },  "profileId": "string",  "tag": "string",  "rootUser": {    "id": {      "type": "CONSUMER",      "id": "string"    },    "name": "string",    "surname": "string",    "email": "string",    "mobile": {      "countryCode": "string",      "number": "string"    },    "companyPosition": "DIRECTOR",    "active": true,    "emailVerified": true,    "mobileNumberVerified": true,    "dateOfBirth": {      "year": 0,      "month": 0,      "day": 0    },    "tag": "string",    "locale": "en-GB",    "brand": "string",    "passwordAlreadySet": true  },  "company": {    "name": "string",    "type": "SOLE_TRADER",    "registrationNumber": "string",    "registeredAddress": {      "addressLine1": "string",      "addressLine2": "string",      "city": "string",      "postCode": "string",      "state": "string",      "country": "string"    },    "businessAddress": {      "addressLine1": "string",      "addressLine2": "string",      "city": "string",      "postCode": "string",      "state": "string",      "country": "string"    },    "countryOfRegistration": "string",    "incorporatedOn": {      "year": 0,      "month": 0,      "day": 0    }  },  "industry": "ACCOUNTING",  "sourceOfFunds": "LABOUR_CONTRACT",  "sourceOfFundsOther": "string",  "acceptedTerms": true,  "ipAddress": "string",  "baseCurrency": "string",  "feeGroup": "string",  "creationTimestamp": 0,  "retailQualifier": "RETAIL"}